<ui:composition
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns="http://www.w3.org/1999/xhtml">


    <h:panelGroup rendered="#{sessionProgressBeanGui.showSessionsCards() == true}">
        <!-- NO PHASE: Continuous Testing Session -->
        <h:panelGroup rendered="#{sessionProgressBeanGui.showNoPhaseForContinuousSession() == true}">
            <ui:include src="no-phase-continuous-session.xhtml"/>
        </h:panelGroup>

        <!-- Registration Phase -->
        <h:panelGroup rendered="#{sessionProgressBeanGui.showRegistrationPhase() == true}">
            <ui:include src="registration-phase.xhtml"/>
        </h:panelGroup>

        <!-- Preparation Phase -->
        <h:panelGroup rendered="#{sessionProgressBeanGui.showPreparationPhase() == true}">
            <ui:include src="preparation-phase.xhtml"/>
        </h:panelGroup>

        <!-- Evaluation Phase -->
        <h:panelGroup rendered="#{sessionProgressBeanGui.showEvaluationPhase()==true}">
            <ui:include src="evaluation-phase.xhtml"/>
        </h:panelGroup>

        <!-- Testing Phase -->
        <h:panelGroup rendered="#{sessionProgressBeanGui.showTestingPhase() == true}">
            <ui:include src="testing-phase.xhtml" />
        </h:panelGroup>
    </h:panelGroup>
</ui:composition>